<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * @property $id
 * @property $name
 * @property $created_at
 * @property $updated_at
 */

class Department extends Model
{
    protected $table = 'department';
    use SoftDeletes;

    public function tools()
    {
        return $this->hasMany(RoleToolRelation::class, 'role_id', 'id');
    }

    public function users()
    {
        return $this->hasMany(User::class, 'jobRole', 'id');
    }
}
